summaryrefslogtreecommitdiffstats
path: root/system/csvutils/csvutils.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/csvutils/csvutils.SlackBuild')
-rw-r--r--system/csvutils/csvutils.SlackBuild99
1 files changed, 99 insertions, 0 deletions
diff --git a/system/csvutils/csvutils.SlackBuild b/system/csvutils/csvutils.SlackBuild
new file mode 100644
index 0000000000..4464d2ee9e
--- /dev/null
+++ b/system/csvutils/csvutils.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/bash
+
+# Slackware build script for csvutils
+
+# Written by B. Watson (urchlay@slackware.uk)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=csvutils
+VERSION=${VERSION:-0.9.3+20161218_e57951b}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+### Patches by SlackBuild author:
+
+# Fix the csvgrep -i option (which was broken for both POSIX and PCRE
+# regex matches, and only worked for fixed-string matches).
+patch -p1 < $CWD/fix_i_option.diff
+
+# Make csvcheck exit with nonzero status if any file failed the check.
+patch -p1 < $CWD/csvcheck_exit_status.diff
+
+# There's also a bug that makes cvsfix change this:
+# "broken,"bad","line"
+# to this:
+# "broken,""bad","line"
+# ...which csvcheck says is valid (which is another bug).
+# It should be:
+# "broken","bad","line"
+
+###
+
+make CPPFLAGS="$SLKCFLAGS -Wl,-s"
+
+# N.B. non-canonical use of DESTDIR and MANDIR.
+mkdir -p $PKG/usr/bin $PKG/usr/man/man1
+make install DESTDIR=$PKG/usr/bin MANDIR=$PKG/usr/man/man1
+
+# Amazingly, the man pages are already gzipped. Might be a first.
+# Annoyingly, they're distributed gzipped, so I didn't patch them for
+# typos (of which there are a few).
+
+# pdf/*.pdf are just PDF copies of the man pages, don't install.
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+cp -a Changelog LICENSE README $PKGDOC
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE